/*===========================================================================*/
/* Title   : low_level_initialization.c                                      */
/* Version : V1.00                                                           */
/*===========================================================================*/
/* Copyright (C) 2014  Desk Top Laboratories Inc.                            */
/*===========================================================================*/
/* Environment:                                                              */
/*              Device:          RL78/G1F                                    */
/*              IDE:             CS+   V3.00.00                              */
/*===========================================================================*/
#pragma  SFR
#pragma  DI
#pragma  EI
#pragma  NOP

void  low_level_init()
{
    int  i;

    /*-- Internal oscillator 32MHz --------------------------------*/
    CMC   = 0x00;   /* default 0x00                                */
    CKC   = 0x00;   /* default 0x00  Hispeed internal clock        */
    OSTS  = 0x07;   /* default 0x07                                */
    CSC   = 0xC0;   /* default 0xC0 X1 stop, XT1 stop, intOSC work */

    OSMC = 0x10;
    for(i=1; i<=100; i++)     /* Need 10us : 1/fx=125ns(8MHz)x100=12.5us */
    {  NOP(); }

                 /* 76543210 */
    while(MCS == 1) { }       /* wait for clock changed */

                   /* 76543210              */
    PER0 = 0x3D;   /* 00111101 :            */
                   /* ||||||||              */
                   /* |||||||o-- TAU0EN : 1 */
                   /* ||||||o--- NOP    : 0 */
                   /* |||||o---- SAU0EN : 1 */
                   /* ||||o----- SAU1EN : 1 */
                   /* |||o------ IICAEN : 1 */
                   /* ||o------- ADCEN  : 1 */
                   /* |o-------- NOP    : 0 */
                   /* o--------- RTCEN  : 0 */

                   /* 76543210              */
    PER1 = 0x59;   /* 00001000 :            */
                   /* ||||||||              */
                   /* |||||||o-- TRJEN  : 1 */
                   /* ||||||o--- NOP    : 0 */
                   /* |||||o---- NOP    : 0 */
                   /* ||||o----- DTCEN  : 1 */
                   /* |||o------ TRD0EN : 1 */
                   /* ||o------- NOP    : 0 */
                   /* |o-------- TRGEN  : 1 */
                   /* o--------- NOP    : 0 */

}

